%global debug_package %{nil}

Name:           python3-gdsfactory
Version:        8.5.6
Release:        1%{?dist}
Summary:        A python library to design chips, objects for 3D printing or PCBs

License:        MIT
URL:            https://github.com/gdsfactory/gdsfactory
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz
Patch0:         kfactory-version.patch

BuildRequires:  make
BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  pyproject-rpm-macros
BuildRequires:  git

%description
Gdsfactory is a Python library for designing chips (Photonics, 
Analog, Quantum, MEMs, and more), 3D printed objects, and PCBs. 
Here, you can code your designs in Python or YAML, perform 
verification (DRC, simulation, and extraction), and enable 
automated testing in the lab to ensure your fabricated devices 
meet your specifications.

As input you write python code, as an output GDSFactory creates 
CAD files (GDS, OASIS, STL, GERBER).

%prep
%autosetup -n gdsfactory-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files
%doc README.md
%{_bindir}/gf
%{python3_sitelib}/gdsfactory/
%{python3_sitelib}/gdsfactory-*.dist-info/

%changelog
%autochangelog
